local PrincessTower = ...

-- Register all great ladder building parts and their properties
PrincessTower:dofile("scripts/princessTower.lua")

-- Register the great ladder monument
PrincessTower:register({
	DataType = "MONUMENT",
	Id = "PRINCESS_TOWER_MONUMENT",
	Name = "PRINCESS_TOWER_MONUMENT_NAME",
	Description = "PRINCESS_TOWER_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartList = {
		"PRINCESS_TOWER_ROOT_PART",
		"PRINCESS_TOWER_DOOR_PART"
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 },
		{ Category = "DECORATION", Quantity = 1 }
	},
        IsEditable = true
})